//
//  SelectPlayerView.swift
//  DouShouQi_App
//
//  Created by nathan on 23/05/2024.
//

import SwiftUI

struct SelectPlayerView: View {
    var body: some View {
        VStack {
            TitlePageFrame(Text: "select players")
            
            Spacer()
            
            SelectPlayerButtonView()

            Spacer()
            
            HStack {
                VStack(alignment: .trailing)
                {
                    MainMenuButton(text: "Start", destination: GameView(), sound: "TitleScreenButtonSound", horizontalAlignment: .trailing, topLeftCorner: 10, bottomLeftCorner: 10)
                    MainMenuButton(text: "Settings", destination: ContentView(), sound: "TitleScreenButtonSound", horizontalAlignment: .trailing, topLeftCorner: 10, bottomLeftCorner: 10)
                }
            }
            
            Spacer()
        }
    }
}

struct SelectPlayerViewPreviews: PreviewProvider {
    static var previews: some View {
        SelectPlayerView()
    }
}
